# $Revision: 1.23 $, $Date: 2007-09-05 13:30:24 $
Summary:	The default startup scripts for the X Window System
Summary(pl.UTF-8):	Domyślne skrypty startowe X Window System
Name:		xinitrc-ng
Version:	0.8
Release:	7
License:	GPL
Group:		X11
Source0:	ftp://ftp.pld-linux.org/software/xinitrc-ng/%{name}-%{version}.tar.bz2
# Source0-md5:	30760456eb96b5dea9fadcb7075e90f3
Requires:	/bin/sh
Requires:	which
Requires:	xorg-app-twm
Provides:	xinitrc >= 3.0
Obsoletes:	xinitrc
Obsoletes:	xscripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xinitrc-ng package contains the scripts which are used to start a
window manager and apropriate configuration files.

%description -l pl.UTF-8
Pakiet xinitrc-ng zawiera skrypty do uruchomienia zarządcy okien oraz
odpowiednie plik konfiguracyjne.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{X11/xinit/xinitrc.d,sysconfig,wmstyle}
install -d $RPM_BUILD_ROOT%{_datadir}/xsessions

install Xclients Xmodmap xinitdefs xinitrc $RPM_BUILD_ROOT/etc/X11/xinit
install desktop $RPM_BUILD_ROOT/etc/sysconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xclients
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/xinitrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xmodmap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/xinitdefs
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xinitrc-ng.spec,v $
Revision 1.23  2007-09-05 13:30:24  baggins
- rel 7

Revision 1.22  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.20  2006/10/14 21:44:21  qboosh
- sorted Rs too

Revision 1.19  2006/10/14 21:42:55  qboosh
- unified

Revision 1.18  2006/08/23 18:43:52  havner
- /etc/sysconfig/wmstyle and /usr/share/xsessions only moved to
  filesystem.spec as it already contains xinitrc related dirs
- rel up

Revision 1.17  2006/08/23 11:41:17  havner
- /etc/sysconfig/wmstyle added
- rel 5

Revision 1.16  2006/07/12 20:29:12  freetz
- don't own shared dir, rel.4

Revision 1.15  2006/05/25 17:26:23  arekm
- add /usr/share/xsessions

Revision 1.14  2006/03/21 19:35:31  patrys
- rel up for th

Revision 1.13  2006/03/05 00:32:29  aredridel
- modular xorg deps

Revision 1.12  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.11  2004/05/06 00:50:27  adgor
- 0.8

Revision 1.10  2004/04/30 19:31:07  adgor
- 0.7 (with HOME_ETC support)

Revision 1.9  2004/04/30 18:40:55  adgor
- 0.6

Revision 1.8  2004/04/04 00:49:50  adgor
- 0.5

Revision 1.7  2004/03/20 12:37:28  adgor
- 0.4

Revision 1.6  2004/03/15 14:40:24  adgor
- 0.3

Revision 1.5  2004/02/22 13:09:19  adgor
- Fixed src url

Revision 1.4  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.3  2003/09/30 21:44:16  adgor
- 0.2

Revision 1.2  2003/09/29 15:51:47  adgor
- Provides xinitrc = 3.0

Revision 1.1  2003/09/28 20:41:35  adgor
- Initial
